%define oname      TuxMathScrabble
%define pythonlibs %{_libdir}/python%pyver/site-packages/asymptopia/


Summary: A math version of the popular board game for ages 4-40
Name: tuxmathscrabble
Version: 0.5.0
Release: %mkrel 4.3
URL: http://www.asymptopia.org/
Source0: http://prdownloads.sourceforge.net/tuxmathscrabble/%oname-%version-rc2.tgz
Patch0:    TuxMathScrabble-0.5.0-rc2-fixpath.patch
License: GPL
Epoch:  1
Group: Games/Boards
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: python-pygame

%description
TuxMathScrabble is an OpenSource math version of the popular board game for 
ages 4-40. it challenges young people to construct compound equations and 
consider multiple abstract possibilities. There are 4 skill levels, the 
hardest uses numbers up to 20 and supports division as well as 
add/subtract/multiply. Upon completing a successful move little Tux's 
pop-out of the most recently moved tiles and do a little dance. Tux moves 
his own pieces as well as performing various animated antics.

%prep

%setup -q -n TuxMathScrabble
%patch0 -p0

%build

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{pythonlibs}
cp -R %oname/* %{buildroot}%{pythonlibs}

mkdir -p %{buildroot}%{_gamesbindir}
cp %oname.py %{buildroot}%{_gamesbindir}/tuxmathscrabble

find -name ".svn" %{buildroot} | xargs rm -fr

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=TuxMathScrabble
Comment=Fun game to learn math
Exec=%{_gamesbindir}/tuxmathscrabble
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF


find $RPM_BUILD_ROOT -name .xvpics | xargs rm -Rf 

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%update_menus
%endif

%files
%defattr(-,root,root)
%{_gamesbindir}/*
%{pythonlibs}
%{_datadir}/applications/mandriva-%{name}.desktop 





%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.5.0-4.3mdv2009.0
+ Revision: 269441
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.5.0-0.3mdv2009.0
+ Revision: 205581
- Should not be noarch ed
- Remove all .svn files and folder

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.5.0-0.2mdv2008.1
+ Revision: 132015
- New version 0.5.0 Rc2
  Fix patch in Environment.py ( patch from PCLinuxOS )

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.5.0-0.1mdv2008.1
+ Revision: 119664
- New pre version of 0.5.0

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.4.5-1mdv2008.1
+ Revision: 119591
- New version 0.4.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Dec 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.4-2mdv2007.0
+ Revision: 89589
- Fix File List
- New version 3.0.4
- import tuxmathscrabble-2.7-1mdk

* Mon Jan 17 2005 Michael Scherer <misc@mandrake.org> 2.7-1mdk
- misc cleanup
- from jean-sebastien HUBERT <jshubert@free.fr>
  - first release for Linux-Mandrake

